#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void closeEvent(QCloseEvent *event);

private slots:
    void postInit();

private:
    Ui::MainWindow *ui;

    virtual bool nativeEvent(const QByteArray &eventType, void *message, long *result) override;
};

#endif // MAINWINDOW_H
